/*
 *  RapidMiner
 *
 *  Copyright (C) 2001-2012 by Rapid-I and the contributors
 *
 *  Complete list of developers available at our web site:
 *
 *       http://rapid-i.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see http://www.gnu.org/licenses/.
 */
package com.rapidminer.operator.ports.metadata;

import com.rapidminer.operator.IOObject;
/**
 * @author Simon Fischer
 */
public class DummyMetaData extends MetaData {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String message;
	
	public DummyMetaData() {
		this("");
	}
		
	public DummyMetaData(String message) {
		super(IOObject.class);
		this.message = message;
	}
	
	@Override
	public String getDescription() {
		return message; 
	}
	
	@Override
	public MetaData clone() {
		DummyMetaData clone = (DummyMetaData)super.clone();
		clone.message = this.message;
		return clone;
	}


}
