/*
 *  RapidMiner
 *
 *  Copyright (C) 2001-2012 by Rapid-I and the contributors
 *
 *  Complete list of developers available at our web site:
 *
 *       http://rapid-i.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see http://www.gnu.org/licenses/.
 */
package com.rapidminer.operator.repository;

import com.rapidminer.operator.Operator;
import com.rapidminer.operator.OperatorDescription;
import com.rapidminer.operator.OperatorException;
import com.rapidminer.operator.ports.DummyPortPairExtender;
import com.rapidminer.operator.ports.PortPairExtender;


/**
 * Abstract Operator for Repository Management. It just provides dummy input and output ports with a pass through rule for MD.
 * 
 * @author Nils Woehler
 *
 */
public abstract class AbstractRepositoryManagerOperator extends Operator {

	private PortPairExtender dummyPorts = new DummyPortPairExtender("through", getInputPorts(), getOutputPorts());
	
	/**
	 * @param description
	 */
	public AbstractRepositoryManagerOperator(OperatorDescription description) {
		super(description);
		
		dummyPorts.start();
		
		getTransformer().addRule(dummyPorts.makePassThroughRule());
	}
	
	@Override
	public void doWork() throws OperatorException {
		dummyPorts.passDataThrough();
	}
	
}
