/*
 *  RapidMiner
 *
 *  Copyright (C) 2001-2012 by Rapid-I and the contributors
 *
 *  Complete list of developers available at our web site:
 *
 *       http://rapid-i.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see http://www.gnu.org/licenses/.
 */
package com.rapidminer.tools.math.similarity.nominal;

/**
 * Implements the Rogers-Tanimoto similarity for nominal attributes.
 * 
 * @author Michael Wurst, Sebastian Land
 */
public class RogersTanimotoNominalSimilarity extends AbstractNominalSimilarity {

	private static final long serialVersionUID = -9171250400618365198L;

	@Override
	protected double calculateSimilarity(double equalNonFalseValues, double unequalValues, double falseValues) {
		return (equalNonFalseValues + falseValues) / (equalNonFalseValues + falseValues + 2 * unequalValues);
	}
	@Override
	public String toString() {
		return "Rogers-Tanimoto nominal similarity";
	}

}
